## org.apache.xerces.impl.dv
Interface DatatypeValidator

All Known Implementing Classes:
  StringDatatypeValidator, IDREFDatatypeValidator, ListDatatypeValidator, NMTOKENDatatypeValidator, NOTATIONDatatypeValidator, IDDatatypeValidator, ENTITYDatatypeValidator

public interface DatatypeValidator

The interface that a DTD datatype must implement. The implementation of this interface must be thread-safe.

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: DatatypeValidator.java 699892 2008-09-28 21:08:27Z mrglavas $
Author:
  Sandy Gao, IBM

Method Summary
`void` `validate(java.lang.String content, ValidationContext context)` validate a given string against this DV

Method Detail

### validate

    public void validate(java.lang.String content,
                         ValidationContext context)
                  throws InvalidDatatypeValueException

  validate a given string against this DV
  Parameters:
    `content` - the string value that needs to be validated
    `context` - the validation context

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.